<div>
<% #<span id="polling"><%=unicode_HEART%></span> Polling... %>
</div>

<div id="periodical_call">
<script>stop_polling = false;</script>
<%=periodically_call_remote(     
		  :frequency => 5,
		  :condition => 'stop_polling == false',
		  :url => {
                    :controller=>'cytoskeleton', 
                    :action => 'update_areas'}
		  )
%>
</div>


<div id="templates">
  <%= display_area('templates',
                  render(:partial => 'templates',
     	          :collection => @areas['templates']))
  %>
</div>

<div id="<%=area="stopped"%>">
  <%=display_area(area, 
                  [
                    render(:partial => area, :collection => @areas[area]),
                    render(:partial => "creating", 
                           :collection => @areas["creating"]),
                    render(:partial => "stopping", 
                           :collection => @areas["stopping"])
                  ].join("\n")
                  )
     
  %>
</div>




<div id="<%=area="started"%>">
  <%=display_area(area, 
                  [
                    render(:partial => area, :collection => @areas[area]),
                    render(:partial => "starting", 
                           :collection => @areas["starting"])
                  ].join("\n")
                  )
     
  %>
</div>




<div id="<%=area="destroy"%>">
  <%=display_area(area, 
                  [
                    render(:partial => area, :collection => @areas[area]),
                    render(:partial => "destroying", 
                           :collection => @areas["destroying"])
                  ].join("\n")
                  )
     
  %>
</div>




